# guile-libxml2
`guile-libxml2` is a small binding library for Guile Scheme. I strongly recommend you do not use this in your own project, because it is nowhere near complete, and likely will never be. It only really exists for my front-ends.


# Building gumbo-libxml
## Dependencies
You need `libxml2`, `libgumbo`, and `gumbo-libxml` installed.

Because `gumbo-libxml` is not in many (any?) distro repositories, You have to build it from source. This repo has a submodule containing the source code. Instructions on how to build it are within the "Running" section below. To compile `gumbo-libxml`, you also need general build utilities like `make`, `autoconf`, and `gcc`.

## Instructions
1. `cd` into `gumbo-libxml`
2. Run the following
```bash
$ ./autogen.sh
$ ./configure
$ make
```

# Environment
`LIBXML2_LOCATION` - Path to `libxml2.so` (default `libxml2`, which checks `LD_LIBRARY_PATH`).

`GUMBO_LIBXML_LOCATION` - Path to `libgumbo_xml.so` (default `./gumbo-libxml/.libs/libgumbo_xml.so`, can be edited to `libgumbo_xml`, which does the same thing as `libxml2` in `LIBXML2_LOCATION`)
